#
# spec file for package a8e
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           a8e
Version:        0.2
Release:        2.15
Summary:        Atari 800 XL Emulator
License:        SUSE-Permissive
Group:          System/Emulators/Other
Url:            http://www.zerstoerung.de
Source:         A8E_experimental-20071114.tar.bz2
Patch1:         a8e-SDL.patch
BuildRequires:  SDL-devel
BuildRequires:  xorg-x11-Mesa-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Simple emulator without sound. Takes a disk image filename as parameter as
well as "-o" for OpenGL video and "-f" for fullscreen. Needs ROMs
(ATARIBAS.ROM, ATARIXL.ROM) in %{_datadir}/a8e. Get them here:
http://vjetnam.hopto.org/index.php?frame=roms

%prep
%setup -q -n A8E_experimental
%patch1
sed -e 's|ATARIBAS\.ROM|%{_datadir}/%{name}/ATARIBAS\.ROM|' \
    -e 's|ATARIXL\.ROM|%{_datadir}/%{name}/ATARIXL\.ROM|' \
    -i Atari.c

%build
gcc %{optflags} -o a8e *.c -lSDL -lGL -lm

%install
install -D -m 755 a8e %{buildroot}%{_bindir}/a8e
install -d -m 755 %{buildroot}%{_datadir}/a8e

%files
%defattr(-,root,root)
%{_bindir}/a8e
%dir %{_datadir}/a8e

%changelog
* Fri Nov 25 2016 aloisio@gmx.com
- Fixed build
- Replaced A8E_experimental.dif with a8e-SDL.patch and
  a sed substitution
- Spec cleanup
